gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.Display

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Display = Display (ManagedPtr Display)
- noDisplay :: Maybe Display

# Exported types

newtype Display Source #

Memory-managed wrapper type.

Constructors

Display (ManagedPtr Display) |

Instances

WrappedPtr Display Source # |
Instance details Defined in GI.Xlib.Structs.Display Methods wrappedPtrCalloc :: IO (Ptr Display) Source # wrappedPtrCopy :: Display -> IO Display Source # wrappedPtrFree :: Maybe (FunPtr (Ptr Display -> IO ())) Source #

noDisplay :: Maybe Display Source #

A convenience alias for `Nothing` :: `Maybe` `Display`.